Bug 845501 - katello-configure --deployment=headpin fails after katello-headpin-all install on fedora-16
katello-configure --deployment=headpin fails after katello-headpin-all ins...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Suchý
Tazim Kolhar
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-08-03 05:13 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:17:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-08-03 05:13:18 EDT
Description of problem:
katello-configure --deployment=headpin fails after katello-headpin-all install on fedora-16

Version-Release number of selected component (if applicable):
[root@dell-pe840-02 ~]# rpm -qa | grep katello
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-cli-common-1.0.1-1.fc16.noarch
katello-headpin-1.1.1-1.fc16.noarch
katello-certs-tools-1.1.7-1.fc16.noarch
katello-cli-headpin-1.0.1-1.fc16.noarch
katello-configure-1.1.1-1.fc16.noarch
katello-common-1.1.1-1.fc16.noarch
katello-headpin-all-1.1.1-1.fc16.noarch
katello-glue-candlepin-1.1.1-1.fc16.noarch


How reproducible:
yum install -y katello-headpin-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.[root@dell-pe840-02 ~]# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20120803-050121/main.log]
err: /Stage[main]/Postgres::Service/Service[postgresql]/ensure: change from stopped to running failed: Could not start Service[postgresql]: Execution of '/usr/sbin/service-wait postgresql start' returned 1:  at /usr/share/katello/install/puppet/modules/postgres/manifests/service.pp:15

2.[root@dell-pe840-02 ~]# service postgresql status
Redirecting to /bin/systemctl status  postgresql.service
postgresql.service - PostgreSQL database server
	  Loaded: loaded (/lib/systemd/system/postgresql.service; disabled)
	  Active: active (running) since Fri, 03 Aug 2012 05:01:00 -0400; 9min ago
	 Process: 10175 ExecStart=/usr/bin/pg_ctl start -D ${PGDATA} -s -o -p ${PGPORT} -w -t 300 (code=exited, status=0/SUCCESS)
	 Process: 10169 ExecStartPre=/usr/bin/postgresql-check-db-dir ${PGDATA} (code=exited, status=0/SUCCESS)
	Main PID: 10180 (postgres)
	  CGroup: name=systemd:/system/postgresql.service
		  ├ 10180 /usr/bin/postgres -D /var/lib/pgsql/data -p 5432
		  ├ 10182 postgres: writer process   
		  ├ 10183 postgres: wal writer process   
		  ├ 10184 postgres: autovacuum launcher process   
		  └ 10185 postgres: stats collector process
  
Actual results:
The katello-configure --deployment=headpin configuration failed 
Expected results:
The configuration should be done cleanly without any errors

Additional info:
Comment 1 Miroslav Suchý 2012-08-06 09:46:23 EDT
Will be fixed by https://github.com/Katello/katello/pull/437
Comment 2 Miroslav Suchý 2012-08-06 09:47:24 EDT
commit 376c2c8
Comment 3 Tom McKay 2012-10-22 17:18:24 EDT
available for some time now
Comment 4 Tazim Kolhar 2012-10-23 02:00:55 EDT
tried the latest nightly on fedora-16 :

# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20121023-015852/main.log]


# /usr/share/katello/script/katello-service status
Redirecting to /bin/systemctl status  tomcat6.service
tomcat6.service - Apache Tomcat6 Web Application Container
	  Loaded: loaded (/lib/systemd/system/tomcat6.service; disabled)
	  Active: active (running) since Tue, 23 Oct 2012 01:55:33 -0400; 3min 39s ago
	 Process: 2474 ExecStart=/usr/sbin/tomcat6-sysd start (code=exited, status=0/SUCCESS)
	Main PID: 2510 (java)
	  CGroup: name=systemd:/system/tomcat6.service
		  └ 2510 /usr/lib/jvm/jre/bin/java -Djavax.sql.DataSource.F...
httpd.service - The Apache HTTP Server (prefork MPM)
	  Loaded: loaded (/lib/systemd/system/httpd.service; disabled)
	  Active: active (running) since Tue, 23 Oct 2012 01:55:50 -0400; 3min 22s ago
	 Process: 2550 ExecStart=/usr/sbin/httpd $OPTIONS -k start (code=exited, status=0/SUCCESS)
	Main PID: 2551 (httpd)
	  CGroup: name=systemd:/system/httpd.service
		  ├ 2551 /usr/sbin/httpd -k start
		  ├ 2552 /usr/sbin/httpd -k start
		  ├ 2553 /usr/sbin/httpd -k start
		  ├ 2554 /usr/sbin/httpd -k start
		  ├ 2555 /usr/sbin/httpd -k start
		  ├ 2556 /usr/sbin/httpd -k start
		  ├ 2557 /usr/sbin/httpd -k start
		  ├ 2558 /usr/sbin/httpd -k start
		  └ 2559 /usr/sbin/httpd -k start
thumbslug.service - SYSV: startup script for Thumbslug
	  Loaded: loaded (/etc/rc.d/init.d/thumbslug)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/thumbslug.service
elasticsearch.service - LSB: Starts elasticsearch
	  Loaded: loaded (/etc/rc.d/init.d/elasticsearch)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/elasticsearch.service
katello is not running.
delayed_job is not running.
delayed_job_monitor is not running.


Unable to access the WEB UI .
Comment 6 Tazim Kolhar 2012-11-08 02:46:34 EST
VERIFIED :

# cat /etc/issue
Fedora release 16 (Verne)
Kernel \r on an \m (\l)


# katello-configure --deployment=headpin
Starting Katello configuration
The top-level log file is [/var/log/katello/katello-configure-20121108-024206/main.log]
Creating Candlepin database user
############################################################ ... OK
Creating Katello database user
############################################################ ... OK
Creating Katello database
############################################################ ... OK
Populating Katello database schema
############################################################ ... OK
Initializing Katello data
############################################################ ... OK
Comment 8 errata-xmlrpc 2013-02-21 14:17:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.